### Function

# Ide path_expand

#### Declaration

    gchar*
    ide_path_expand (
      const gchar* path
    )

#### Description

This function will expand various “shell-like” features of the provided path using the POSIX wordexp(3) function. Command substitution will not be enabled, but path features such as ~user will be expanded.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A newly allocated string containing the expansion. A copy of the input string upon failure to expand.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.